Skip to content

Get Orders Statuses ​

http
POST /api/v3/dbw/orders/status

Base URL: https://marketplace-api.wildberries.ru · Module: orders-dbw · Section: DBW Assembly Orders · Specification doc ↗

Returns the statuses of orders based on the provided list of assembly order IDs supplierStatus is a status of an order. The trigger for its change is the action of the seller himself. Possible values for this field are:

StatusDescriptionHow to move an order to this status
new**New order**
confirm**Order on assembly**Transfer to assembly
wbStatus is a status of an order on the Wildberries side.
Possible values for this field are:
  • waiting — order in work
  • sold — the buyer got the order
  • canceled — order canceled
  • canceled\_by\_client — the buyer canceled the order
  • declined\_by\_client — the buyer canceled the order in the first hour Cancellation is available to the buyer in the first hour from the moment of order, if the order is not transferred to confirm status.
  • defect — order canceled due to a defect
  • canceled\_by\_missed\_call — cancellation due to unreachable buyer
  • postponed\_delivery — courier delivery is postponed

Request limit per one seller account for DBW methods:

  • for getting and updating contact lists
  • for getting and deleting label identifiers
  • assembly orders
PeriodLimitIntervalBurst
1 min300 requests200 ms20 requests
One request with 4XX response codes is counted as 10 requests

Request body ​

application/json — schema object, optional

  • orders integer<int64>[] (required) — Order IDs list

Responses ​

CodeDescriptionSchema
200SuccessPostV3DbwOrdersStatusResponse200
400Bad requestError
401Unauthorizedobject
402Payment requiredobject
403Access deniedError
429Too many requestsobject

Structure 200:

  • orders object[]
    • id integer<int64> — Assembly order ID
    • supplierStatus string — Assembly order status set by the seller
    • wbStatus string — Order status in the WB systems

Structure 400:

  • code string — Error code
  • message string — Error description
  • data object — Additional data for the error

Structure 401:

  • title string — Error title
  • detail string — Error details
  • code string — Internal error code
  • requestId string — Unique request ID
  • origin string — WB internal service ID
  • status number — HTTP status code
  • statusText string — Text of the HTTP status code
  • timestamp string — Request date and time

Structure 402:

Structure 403:

  • code string — Error code
  • message string — Error description
  • data object — Additional data for the error

Structure 429:

  • title string — Error title
  • detail string — Error details
  • code string — Internal error code
  • requestId string — Unique request ID
  • origin string — WB internal service ID
  • status number — HTTP status code
  • statusText string — Text of the HTTP status code
  • timestamp string — Request date and time

Call examples ​

Arguments are shown as parameter names — substitute your own values. Languages whose client does not expose this operation are omitted.

python
from wb_api_client.orders_dbw import Configuration, ApiClient
from wb_api_client.orders_dbw.api import OrdersDbwApi

cfg = Configuration(access_token="<your WB JWT>")
api = OrdersDbwApi(ApiClient(cfg))

result = api.post_v3_dbw_orders_status(post_v3_dbw_orders_status_request=...)
print(result)
ts
import {
  Configuration,
  OrdersDbwApi,
} from "@valeryverkhoturov/wb-api-client/orders-dbw";

const cfg = new Configuration({});
cfg.setAccessToken("<your WB JWT>");
const api = new OrdersDbwApi(cfg);

const { data } = await api.postV3DbwOrdersStatus(postV3DbwOrdersStatusRequest);
console.log(data);
go
import (
	"context"
	"fmt"

	wbordersdbw "github.com/ValeryVerkhoturov/wb-api-client-go/orders_dbw"
)

cfg := wbordersdbw.NewConfiguration()
cfg.SetAccessToken("<your WB JWT>")
client := wbordersdbw.NewAPIClient(cfg)

result, _, err := client.OrdersDbwAPI.PostV3DbwOrdersStatus(context.Background()).Execute()
if err != nil {
    panic(err)
}
fmt.Printf("%+v\n", result)
java
import io.github.valeryverkhoturov.wbapi.orders_dbw.ApiClient;
import io.github.valeryverkhoturov.wbapi.orders_dbw.SecretString;
import io.github.valeryverkhoturov.wbapi.orders_dbw.api.OrdersDbwApi;

ApiClient client = new ApiClient();
client.setAccessToken(new SecretString("<your WB JWT>"));
OrdersDbwApi api = new OrdersDbwApi(client);

System.out.println(api.postV3DbwOrdersStatus(postV3DbwOrdersStatusRequest));
php
use ValeryVerkhoturov\WbApiClient\OrdersDbw\Configuration;
use ValeryVerkhoturov\WbApiClient\OrdersDbw\SecretString;
use ValeryVerkhoturov\WbApiClient\OrdersDbw\Api\OrdersDbwApi;
use GuzzleHttp\Client;

$config = (new Configuration())
    ->setAccessTokenSecret(new SecretString('<your WB JWT>'));
$api = new OrdersDbwApi(new Client(), $config);

print_r($api->postV3DbwOrdersStatus());
bsl
#Использовать "wb-api-client"

Настройки = Новый Конфигурация();
Настройки.УстановитьТокен("<your WB JWT>");
Клиент = Новый OrdersDbwApi(Настройки);

Сообщить(Клиент.PostV3DbwOrdersStatus(Тело).Тело);
csharp
using ValeryVerkhoturov.WbApiClient.OrdersDbw.Api;
using ValeryVerkhoturov.WbApiClient.OrdersDbw.Client;

var config = new Configuration();
config.AccessTokenSecret = new SecretString("<your WB JWT>");
var api = new OrdersDbwApi(config);

Console.WriteLine(api.PostV3DbwOrdersStatus());
rust
use wb_api_client::orders_dbw::apis::{configuration::Configuration, orders_dbw_api};

#[tokio::main]
async fn main() {
    let mut cfg = Configuration::new();
    cfg.set_access_token("<your WB JWT>");

    let result = orders_dbw_api::post_v3_dbw_orders_status(&cfg, post_v3_dbw_orders_status_request).await;
    println!("{:#?}", result);
}